org.jboss.jca.core.bv

## Class SerializableValidatorFactory

- java.lang.Object
- - org.jboss.jca.core.bv.SerializableValidatorFactory

- All Implemented Interfaces:
    java.io.Serializable, javax.validation.ValidatorFactory

      public class SerializableValidatorFactory
      extends java.lang.Object
      implements javax.validation.ValidatorFactory, java.io.Serializable

  Serializable validator factory
  Version:
    $Revision: $
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializableValidatorFactory()` Constructor
    `SerializableValidatorFactory(javax.validation.ValidatorFactory vf)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `javax.validation.ConstraintValidatorFactory` | `getConstraintValidatorFactory()`
    `javax.validation.MessageInterpolator` | `getMessageInterpolator()`
    `javax.validation.ParameterNameProvider` | `getParameterNameProvider()`
    `javax.validation.TraversableResolver` | `getTraversableResolver()`
    `javax.validation.Validator` | `getValidator()`
    `<T> T` | `unwrap(java.lang.Class<T> type)`
    `javax.validation.ValidatorContext` | `usingContext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializableValidatorFactory

          public SerializableValidatorFactory()

      Constructor

    - #### SerializableValidatorFactory

          public SerializableValidatorFactory(javax.validation.ValidatorFactory vf)

      Constructor
      Parameters:
        `vf` - The validator factory

  - ### Method Detail

    - #### getMessageInterpolator

          public javax.validation.MessageInterpolator getMessageInterpolator()

      Specified by:
        `getMessageInterpolator` in interface `javax.validation.ValidatorFactory`

    - #### getValidator

          public javax.validation.Validator getValidator()

      Specified by:
        `getValidator` in interface `javax.validation.ValidatorFactory`

    - #### usingContext

          public javax.validation.ValidatorContext usingContext()

      Specified by:
        `usingContext` in interface `javax.validation.ValidatorFactory`

    - #### unwrap

          public <T> T unwrap(java.lang.Class<T> type)

      Specified by:
        `unwrap` in interface `javax.validation.ValidatorFactory`

    - #### getConstraintValidatorFactory

          public javax.validation.ConstraintValidatorFactory getConstraintValidatorFactory()

      Specified by:
        `getConstraintValidatorFactory` in interface `javax.validation.ValidatorFactory`

    - #### getTraversableResolver

          public javax.validation.TraversableResolver getTraversableResolver()

      Specified by:
        `getTraversableResolver` in interface `javax.validation.ValidatorFactory`

    - #### getParameterNameProvider

          public javax.validation.ParameterNameProvider getParameterNameProvider()

      Specified by:
        `getParameterNameProvider` in interface `javax.validation.ValidatorFactory`

    - #### close

          public void close()

      Specified by:
        `close` in interface `javax.validation.ValidatorFactory`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)